%define prefix /usr
%define oname SiCuSys

Name:					sicusys
Version:			24.04.13
Release:			%mkrel 1
License:			GPL
Group:				Monitoring
URL:					http://pclinuxos.com
Source:				%{oname}-%{version}.tar.xz
Summary:			A simple way to get some info about your system!
Summary(de):	Einfacher Weg um Informationen über ihr System zu erhalten!
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:			gtkdialog, bash, xterm, cpufrequtils, inxi, nano
Requires:     glibc >= 2.20
Requires:     libstdc++6 >= 4.9.2	
Obsoletes:		%oname < %version

%description
A simple way to get some info about your system!

Displayed:
Running Kernel
Desktop Enviroment
User
Screen Resolution
CPU
Free Disk Space
Memory Usage
File Space Usage

Update: added inxi -FxzMGS by single click!
				added Tweaks requires nano. 



#german
%description -l de
Ein einfacher Weg, um einige Informationen über Ihr System zu erhalten!

Zeigt an:
Laufenden Kernel
Desktop Umgebung
Benutzer
Bildschirmauflösung
CPU
Freien Speicherplatz

Update: hinzugefügt inxi -FxzMGS durch einfachen Klick!
				hinzugefügt Tweaks benötigt nano.


%prep

%setup -q -n %{oname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/%{name}
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 $RPM_BUILD_DIR/%{oname}-%{version}/icon/%{oname}.png %buildroot%_datadir/icons/%{name}.png

mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
convert  $RPM_BUILD_DIR/%{oname}-%{version}/icon/%{oname}.png -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert $RPM_BUILD_DIR/%{oname}-%{version}/icon/%{oname}.png -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png
mkdir -p %buildroot/%{_iconsdir}/hicolor/32x32/apps
convert $RPM_BUILD_DIR/%{oname}-%{version}/icon/%{oname}.png -resize 32x32 %buildroot/%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -d -m 0755 %buildroot%_datadir/%{name}
cp -a $RPM_BUILD_DIR/%{oname}-%{version}/icon %{buildroot}%{_datadir}/%{name}/
install -m 0755 $RPM_BUILD_DIR/%{oname}-%{version}/%{name} %buildroot%_datadir/%{name}
install -m 0644 HISTORY.txt %buildroot%_datadir/%{name}
install -m 0755 rpmApp rpmApp-root killPWsynaptic %buildroot%_datadir/%{name}

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{oname}-%{version}/po/%{name}-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/rpmApp.mo $RPM_BUILD_DIR/%{oname}-%{version}/po/rpmApp-de_DE.po

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Simple Current Systeminfo
Name[de]=Einfache System Informationen
Name[fr]=Informations sur le système
Name[nl]=Simple Current Systeminfo
Comment=A simple way to get some info about your system!
Comment[de]=Ein einfacher Weg, um einige Informationen über Ihr System zu erhalten!
Comment[fr]=Une manière simple d'obtenir des informations sur votre système !
Comment[nl]=Een simpele manier om wat informatie te krijgen over uw systeem!
Exec=%{_datadir}/%{name}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Infos;System;Monitor;Core;
Encoding=UTF-8
EOF

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/icons/*
%{_datadir}/%{name}
%{_datadir}/%{name}/HISTORY.txt
%{_datadir}/locale/de/LC_MESSAGES/*.mo
%{_datadir}/applications/%{name}.desktop
%doc COPYING README.txt
%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}-%{version}

%changelog
* Sat Apr 13 2024 daniel - 24.04.13-1pclos2024
- removed display xsession-errors from gui

* Thu Mar 28 2024 daniel - 24.03.28-1pclos2024
- create a rpm application

* Fri Mar 22 2024 daniel - 24.03.22-1pclos2024
- add button for ID display for user

* Tue Aug 08 2023 daniel <> 23.08.08-1pclos2023
- add copy gtkrc-2.0 to root account
- update German language


* Wed Jul 26 2023 daniel <> 23.07.26-1pclos2023
- edit tweak

* Wed May 25 2022 daniel <> 22.05.25-1pclos2022
- edit inxi command
- add function to display files from /etc/X11/xorg.conf.d,
  and to edit this files with nano
  
* Tue Feb 08 2022 daniel <> 22.02.08-1pclos2022
- moved work directory from /tmp to User/.cache
- about window fixed
- corrected Version number
- add tweaks
- add nano for some tweaks

* Fri Jan 21 2022 daniel <> 22.01.21-1pclos2022
- inxi output is now displayed in a separate window
  (much isier copy and paste) 
